curl -X POST https://beta-avallon.onrender.com/api/sites/generate \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "My Website",
"description": "A modern portfolio website for a photographer",
"mode": "full",
"multiPage": true
}'
Endpoints
Generate Website
Create a new website from a description
curl -X POST https://beta-avallon.onrender.com/api/sites/generate \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "My Website",
"description": "A modern portfolio website for a photographer",
"mode": "full",
"multiPage": true
}'